import {convertToCamelCase, isValue, YMDHms} from "../../util/index.js";

export default class SourceEntity {
  constructor(obj) {
    convertToCamelCase(obj)
    this.name = isValue(obj?.name) ? obj.name : null
    this.sort = isValue(obj?.sort) ? obj.sort : 0
    this.remark = isValue(obj?.remark) ? obj.remark : null
    this.createTime = isValue(obj?.createTime) ? YMDHms(obj.createTime) : null
    this.updateTime = isValue(obj?.updateTime) ? YMDHms(obj.updateTime) : null
  }
}